Bug 23534 - Use patron-title.inc on patron entry page
Summary: Use patron-title.inc on patron entry page
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 23533
Blocks: 23536
  Show dependency treegraph
 
Reported: 2019-09-03 18:49 UTC by Owen Leonard
Modified: 2020-04-01 20:39 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 23534: Use patron-title.inc on patron entry page (2.40 KB, patch)
2019-09-04 15:43 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23534: Use patron-title.inc on patron entry page (2.45 KB, patch)
2019-09-06 19:51 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 23534: Use patron-title.inc on patron entry page (2.43 KB, patch)
2020-02-28 14:55 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23534: Use patron-title.inc on patron entry page (2.49 KB, patch)
2020-02-29 20:27 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23534: Fix selenium tests (1.13 KB, patch)
2020-03-03 14:59 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-09-03 18:49:47 UTC
There are several places on the patron entry form where we could use patron-title.inc instead of outputting the patron name information directly in the template.
Comment 1 Owen Leonard 2019-09-04 15:43:03 UTC Comment hidden (obsolete)
Comment 2 Maryse Simard 2019-09-06 19:51:03 UTC
Created attachment 92662 [details] [review]
Bug 23534: Use patron-title.inc on patron entry page

There are a few instances where we can simplify the patron entry
template by using the patron-title include file instead of outputting
patron name variables one by one. This patch does so in the page title,
page breadcrumbs, and page heading.

To test, apply the patch and edit a patron record. The page title,
breadcrumbs, and main heading should all look correct.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Comment 3 Katrin Fischer 2019-09-15 20:32:48 UTC
Blocked by bug 23533 currently not applying - please switch back once this is resolved!
Comment 4 Owen Leonard 2020-02-28 14:55:08 UTC
Created attachment 99767 [details] [review]
Bug 23534: Use patron-title.inc on patron entry page

There are a few instances where we can simplify the patron entry
template by using the patron-title include file instead of outputting
patron name variables one by one. This patch does so in the page title,
page breadcrumbs, and page heading.

To test, apply the patch and edit a patron record. The page title,
breadcrumbs, and main heading should all look correct.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Comment 5 Katrin Fischer 2020-02-29 20:27:08 UTC
Created attachment 99826 [details] [review]
Bug 23534: Use patron-title.inc on patron entry page

There are a few instances where we can simplify the patron entry
template by using the patron-title include file instead of outputting
patron name variables one by one. This patch does so in the page title,
page breadcrumbs, and page heading.

To test, apply the patch and edit a patron record. The page title,
breadcrumbs, and main heading should all look correct.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Martin Renvoize 2020-03-02 09:47:22 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 7 Jonathan Druart 2020-03-03 14:59:27 UTC
Created attachment 100036 [details] [review]
Bug 23534: Fix selenium tests

The title of the page now contains lot of info (is it what we really
want?)
Comment 8 Martin Renvoize 2020-03-03 15:03:21 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 9 paxed 2020-03-04 07:25:13 UTC
This added an untranslatable "Print receipt" button.
Comment 10 Katrin Fischer 2020-03-04 07:34:26 UTC
(In reply to paxed from comment #9)
> This added an untranslatable "Print receipt" button.

Hi paxed - I don't see it in the patch - can you point it out?
Comment 11 paxed 2020-03-04 07:40:32 UTC
(In reply to Katrin Fischer from comment #10)
> (In reply to paxed from comment #9)
> > This added an untranslatable "Print receipt" button.
> 
> Hi paxed - I don't see it in the patch - can you point it out?

Blah, comment ended up on the wrong one, meant bug 23355
Comment 12 Joy Nelson 2020-04-01 20:39:14 UTC
not backported to 19.11.x branch due to dependencies